var SmartPlaylistConfig = {
    pluginUniqueId: 'dd2326e3-4d3e-4bfc-80e6-28502c1131df'
};

document.querySelector('#SmartPlaylistConfigPage')
    .addEventListener('pageshow', function() {
        Dashboard.showLoadingMsg();
        ApiClient.getPluginConfiguration(SmartPlaylistConfig.pluginUniqueId).then(function (config) {
            document.querySelector('#InitialProgram').value = config.InitialProgram;
            Dashboard.hideLoadingMsg();
        });
    });

document.querySelector('#SmartPlaylistConfigForm')
    .addEventListener('submit', function(e) {
    Dashboard.showLoadingMsg();
    ApiClient.getPluginConfiguration(SmartPlaylistConfig.pluginUniqueId).then(function (config) {
        config.InitialProgram = document.querySelector('#InitialProgram').value;
    });
    e.preventDefault();
    return false;
});

